.rui-image-viewer {
  $controls-height: var(--spacer-xlarge);
  $gap:var(--spacer-default);

  display: grid;
  align-items: center;
  padding: $gap;
  grid-column-gap: $gap;
  grid-row-gap: $gap;
  grid-template-areas:
    '.          .           close'
    'pic        pic         pic'
    '.          controls    .';
  grid-template-columns: $controls-height auto $controls-height;
  grid-template-rows: $controls-height auto $controls-height;

  &__close {
    grid-area: close;
    text-align: right;
  }

  &__image {
    width: auto;
    max-width: 100%;
    height: calc(100vh - #{$controls-height} * 2 - #{$gap} * 4);
    margin: auto;
    grid-area: pic;
    justify-self: center;

    img {
      width: auto;
      max-width: 100%;
      height: auto;
      max-height: 100%;
    }
  }

  &__controls {
    grid-area: controls;
    place-self: normal center;
  }
}
